;
; This file provides a few generic definitions
; for compatibility on various Scheme interpreters...
;

;
; Generic definitions for 'require 'provide
;
(define foo::features '())
(define (foo::feature->filename feature)
   (string-append (symbol->string feature) ".scm"))
(define (foo::require feature)
   (if (not (member? feature foo::features))
      (load (foo::feature->filename feature))))
(define (foo::provide feature)
   (set! foo::features (cons feature foo::features)))
